%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global src_ext_id \{73a6fe31-595d-460b-a920-fcc0f8843232\}
%global inst_dir %{moz_extensions}/%{firefox_app_id}/%{src_ext_id}

%global seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
%global sym_link_dir %{moz_extensions}/%{seamonkey_app_id}

Name:           mozilla-noscript
Version:        1.9.9.60
Release:        1%{?dist}
Summary:        JavaScript white list extension for Mozilla Firefox

Group:          Applications/Internet
License:        GPLv2+
URL:            http://noscript.net/
# Source is a .xpi file, there is no public VCS or a tarball
Source0:        https://secure.informaction.com/download/releases/noscript-%{version}.xpi
Patch0:         noscript-preferences.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dos2unix
Requires:       mozilla-filesystem
BuildArch:      noarch


%description
The NoScript Firefox extension provides extra protection for Firefox.
It allows JavaScript, Java, Flash and other plug-ins to be executed only by
trusted web sites of your choice (e.g. your online bank) and additionally
provides Anti-XSS protection.


%prep
%setup -q -c
%patch0 -b .prefs
dos2unix -f GPL.txt
dos2unix NoScript_License.txt

%build


%install
rm -rf %{buildroot}
install -Dp -m 644 chrome.manifest %{buildroot}%{inst_dir}/chrome.manifest
install -Dp -m 644 install.js %{buildroot}%{inst_dir}/install.js
install -Dp -m 644 install.rdf %{buildroot}%{inst_dir}/install.rdf
install -Dp -m 644 components/noscriptService.js %{buildroot}%{inst_dir}/components/noscriptService.js
install -Dp -m 644 defaults/preferences/noscript.js %{buildroot}%{inst_dir}/defaults/preferences/noscript.js
install -Dp -m 644 chrome/noscript.jar %{buildroot}%{inst_dir}/chrome/noscript.jar

# symlink from seamonkey extension to firefox extension
mkdir -p %{buildroot}%{sym_link_dir}
ln -s %{inst_dir} %{buildroot}%{sym_link_dir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc GPL.txt NoScript_License.txt mozilla.cfg
%{inst_dir}
%{sym_link_dir}


%changelog
* Sat Apr  3 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.60-1
- new version

* Fri Mar 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.57-1
- update to new version
- force dos2unix on 'binary' GPL.txt
- renew patch

* Sat Feb 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.50-1
- update to new version
- fix some spelling errors

* Sun Feb  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.45-1
- update to new version

* Sat Jan 23 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.39-1
- update to new version

* Sat Jan 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-4
- install with -p

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-3
- also install seamonkey app_id (Thomas Moschny)

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-2
- remove R: firefox, this plugin also works for seamonky and so on
  it's up to the user, what to use (Thomas Moschny)

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-1
- update to new version
- %%global vs %%define
- install in %%{_datadir} -> noarch
- delete changelog
- R: mozilla-filesystem for owning %%{_datadir}/mozilla/extensions

* Sun Jul 19 2009 Andreas Thienemann <andreas@bawue.net> - 1.9.6-1
- Initial package
